extends Control

var view : QuestView
var quest : Quest
var event : Quest.Event
var speed : float
func _ready():
	position.x  = (quest.progress - event.progress_point) * quest.length

func _process(delta: float) -> void:
	position.x -= view.base_speed * delta

func activate(...params):
	pass
